# exa and ls
alias ls="exa --group-directories-first -gm"
alias ll="ls -lhF"
alias lt="ll -TL $1"
alias ld="ll -d"
alias la="ll -a"

# applications
alias code="code-oss"

# dotfiles
alias dot="git --git-dir=$HOME/git/dotfiles/ --work-tree=$HOME"

# sane mkdir
alias mkdir="mkdir -p"

# k8s
alias k="kubectl"
complete -F __start_kubectl k

which kubectx kubens &>/dev/null && \
    alias kx="kubectx" && \
    alias kn="kubens"

